XCTest (Gradle API 9.5.0)
Description: declaration: package: org.gradle.nativeplatform.test.xctest.tasks, class: XCTest

Package org.gradle.nativeplatform.test.xctest.tasks

# Class XCTest

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.testing.AbstractTestTask
org.gradle.nativeplatform.test.xctest.tasks.XCTest

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Reporting<TestTaskReports>`, `Task`, `VerificationTask`, `Configurable<Task>`

@DisableCachingByDefault(because="Not made cacheable, yet") public abstract class XCTest extends AbstractTestTask
Executes XCTest tests. Test are always run in a single execution.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.gradle.api.internal.tasks.testing.TestExecuter<org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec>`
  `createTestExecuter()`
  Creates test executer.
  `protected org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec`
  `createTestExecutionSpec()`
  Creates test execution specification.
  `protected @Nullable File`
  `getRunScript()`
  Workaround for when the task is given an input file that doesn't exist
  `abstract RegularFileProperty`
  `getRunScriptFile()`
  Returns test suite bundle or executable location
  `abstract DirectoryProperty`
  `getTestInstallDirectory()`
  Sets the test suite bundle or executable location
  `abstract DirectoryProperty`
  `getWorkingDirectory()`
  Returns the working directory property for this test.
  `XCTest`
  `setTestNameIncludePatterns(List<String> testNamePattern)`
  Sets the test name patterns to be included in execution.

  ### Methods inherited from class org.gradle.api.tasks.testing.AbstractTestTask

  `addTestListener, addTestMetadataListener, addTestOutputListener, afterSuite, afterTest, beforeSuite, beforeTest, executeTests, getBinaryResultsDirectory, getBuildOperationExecutor, getBuildOperationRunner, getFailOnNoDiscoveredTests, getFileSystemOperations, getFilter, getHostnameLookup, getIgnoreFailures, getInstantiator, getListenerManager, getNoMatchingTestErrorReasons, getObjectFactory, getProgressLoggerFactory, getReportEntrySkipLevels, getReports, getTestEventReporterFactory, getTestLogging, getTextOutputFactory, onOutput, removeTestListener, removeTestMetadataListener, removeTestOutputListener, reports, reports, setIgnoreFailures, testLogging, testLogging`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### XCTest

    public XCTest()

- ## Method Details

  - ### createTestExecutionSpec

    protected org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec createTestExecutionSpec()
    Description copied from class: `AbstractTestTask`
    Creates test execution specification. For internal use only.
    Specified by:
      `createTestExecutionSpec` in class `AbstractTestTask`

  - ### getTestInstallDirectory

    @PathSensitive(RELATIVE) @InputDirectory public abstract DirectoryProperty getTestInstallDirectory()
    Sets the test suite bundle or executable location

  - ### getRunScriptFile

    @Internal("Covered by getRunScript") public abstract RegularFileProperty getRunScriptFile()
    Returns test suite bundle or executable location

  - ### getWorkingDirectory

    @Internal public abstract DirectoryProperty getWorkingDirectory()
    Returns the working directory property for this test.

  - ### createTestExecuter

    protected org.gradle.api.internal.tasks.testing.TestExecuter<org.gradle.nativeplatform.test.xctest.internal.execution.XCTestTestExecutionSpec> createTestExecuter()
    Description copied from class: `AbstractTestTask`
    Creates test executer. For internal use only.
    Specified by:
      `createTestExecuter` in class `AbstractTestTask`

  - ### getRunScript

    @SkipWhenEmpty @Optional @PathSensitive(ABSOLUTE) @InputFile protected @Nullable File getRunScript()
    Workaround for when the task is given an input file that doesn't exist

  - ### setTestNameIncludePatterns

    public XCTest setTestNameIncludePatterns(List<String> testNamePattern)
    Sets the test name patterns to be included in execution. Classes or method names are supported, wildcard '*' is supported. For more information see the user guide chapter on testing. For more information on supported patterns see `TestFilter`
    Overrides:
      `setTestNameIncludePatterns` in class `AbstractTestTask`